Package: org.gradle.language.assembler.plugins

## [Java] Class AssemblerPlugin

- org.gradle.language.assembler.plugins.AssemblerPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class AssemblerPlugin
      extends Object

  A plugin for projects wishing to build native binary components from Assembly language sources.

  Automatically includes the AssemblerLangPlugin for core Assembler support and the NativeComponentPlugin for native component support.

- Creates a Assemble task for each AssemblerSourceSet to assemble the sources.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void apply(Project project)